'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './ranknoprizepop.less';
import { ModalCtrl } from '@/core/ctrls/ModalCtrl';
import { Button } from '@grace/ui';
type RanknoprizepopProps = {
  prizeImg: string;
  prizeName: string;
  rank: number;
};
@observer
class Ranknoprizepop extends React.Component<RanknoprizepopProps> {
  constructor(props) {
    super(props);
    console.log(props)
  }
  closePop = () => {
    ModalCtrl.closeModal();
  }
  render() {
    return (
      <div className="ranknoprizepop modal_center">
        <span className="bg"></span>
        <Button className="close" onClick={this.closePop}></Button>
        <Button className="btn" onClick={this.closePop}></Button>
        <span className="lab">最终排名为{this.props.rank}</span>
      </div>
    );
  }
}
export default Ranknoprizepop;
